IteratorAggregate
ArrayAccess
IteratorAggregate
PHP Manual

# IteratorAggregate::getIterator

Retrieve an external iterator

### Description

abstract public Traversable IteratorAggregate::getIterator ( void )

Returns an external iterator.

### Parameters

This function has no parameters.

### Return Values

An instance of an object implementing Iterator or Traversable

### Errors/Exceptions

Throws an Exception on failure.